From bdc4f02a6d7fb1416f36aef89af4592c691576d8 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Mon, 19 Sep 2011 14:27:04 +0300
Subject: [PATCH] [fix] Headers and status line don't display by Paul Martin
 <pm@debian.org>
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 src/cbm.cpp            |    9 ++++++++-
 src/widgets/Window.cpp |    2 +-
 2 files changed, 9 insertions(+), 2 deletions(-)

index 74282e2..0197443 100644
--- a/src/cbm.cpp
+++ b/src/cbm.cpp
@@ -156,13 +156,20 @@ int main(int argc, char **argv) {
 	    interfaceTable.setColumns(4);
 	    interfaceTable.setActiveStyle(A_BOLD);
 	    interfaceTable.setActiveRow(1);
+	    // Position the interface table
+	    interfaceTable.setPosition(2, 2);
+	    interfaceTable.setSize(screen.getWidth() - 4, 
+					       8); // TODO
 
 	    // Create the detail table
 	    VerticalTable detailTable(screen);
 	    detailTable.setColumns(2);
 	    detailTable.setRows(2);
 	    detailTable.setActiveRow(-1);
-	    
+	    // Position the detail table
+	    detailTable.setPosition(2, 12); // TODO
+	    detailTable.setSize(screen.getWidth() - 4, 10); // TODO
+
 	    // Populate the detail table
 	    detailTable.setText (0, 0, "Interface");
 	    detailTable.setStyle(0, 0, COLOR_PAIR(COLOR_HEADING) | A_BOLD);
index 322cb9b..572eef7 100644
--- a/src/widgets/Window.cpp
+++ b/src/widgets/Window.cpp
@@ -14,7 +14,7 @@ Window::~Window() {
 }
 	
 void Window::setPosition(unsigned x, unsigned y) {
-    mvwin((WINDOW*) win_, y, x);
+    mvderwin((WINDOW*) win_, y, x);
 }
 
 void Window::setSize(unsigned width, unsigned height) {
-- 
1.7.5.4

